<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Event Gallery</title>
</head>
{% block style %}
<link href="{{url_for('static', filename='vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
<link href="{{url_for('static', filename='vendor/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css"/>
<link href="https://fonts.googleapis.com/css?family=Ubuntu&display=swap" rel="stylesheet"> 
<link rel="stylesheet" href="{{url_for('static', filename='css/main.css')}}"/>
{% endblock style %}

<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="{{url_for('index')}}"><i class="fas fa-fw fa-expand"></i> Events Gallery</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item">
              <a class="nav-link" href="{{url_for('event.get_events')}}">Events</a>
            </li>
            {% if current_user.is_authenticated %}
              {% if current_user.is_staff %}
              <li class="nav-item">
                <a class="nav-link" href="#">Accounts</a>
              </li>
              {% endif %}
            <li class="nav-item">
              <a class="nav-link" href="{{url_for('account.get_account', id=current_user.id)}}">My Account</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{{url_for('account.logout')}}">Logout</a>
            </li>
            {% else %}
            <li class="nav-item">
              <a class="nav-link" href="{{url_for('account.login')}}">Login</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </nav>
      <div class="container container-fluid">
        <div class="row">
          <h3>{% block title %}{% endblock %}</h3>
        </div>
        <div class="row">
          {% block content %}{% endblock%}
        </div>
      </div>

{% block script %}
<script src="{{url_for('static', filename='vendor/jquery/jquery-3.5.1.min.js')}}"></script>
<script src="{{url_for('static', filename='vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="https://kit.fontawesome.com/439ccf7ee0.js"></script>
<script src="{{url_for('static', filename='js/main.js') }}"></script>
{% endblock script %}
</body>
</html>